DECLARE SUB SCOEF (Z1!, MM1!, M1!, M2!, RHO!, ATRHO!, VFERMI!, LFCTR!, PCOEF!())
DIM p(20)
PRINT "Reads a stopping file in keV, MeV/(mg/cm2) "
PRINT "and converts stopping power to eV/(1E15 atoms/cm2). "
INPUT "Name of input file and of output file: ", infile$, outfile$
OPEN infile$ FOR INPUT AS #1
OPEN outfile$ FOR OUTPUT AS #2

INPUT "Enter Z2 :", Z2
CALL SCOEF(Z2, d1, d2, A2, d4, d5, d6, d7, p())
convfact = A2 / .6022 / 1000             '.6022 = Loschmidt*1E-9*1E-15
            'convfact converts from MeV/(g/cm2) to eV/(1E15 atoms/cm2)
convfact = convfact * 1000
PRINT "Conversion Factor = "; convfact
SLEEP 2


DO WHILE NOT EOF(1)
        INPUT #1, E, s
        PRINT E, s * convfact
        PRINT #2, E, s * convfact
LOOP

